Page MenuHomePhabricator

Cannot read property 'nodeName' of undefined
Closed, ResolvedPublic

Description

Noticed a few of these around the time of deploy but none before or since

There's no stack or really anything to go off in logstash

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.12.05/parsoid?id=AWeAWVngi-uKhB2cM-PI&_g=h@44136fa

Event Timeline

Arlolra created this task.Dec 5 2018, 10:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2018, 10:22 PM
ssastry moved this task from Backlog to Crashers on the Parsoid board.Apr 22 2019, 2:04 PM
ssastry triaged this task as Normal priority.Jun 10 2019, 8:13 PM

See 159 of these instances in the last 24 hours.

TypeError: Cannot read property 'nodeName' of undefined
    at Object.getWrapperTokens (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/src/lib/utils/PipelineUtils.js:354:18)
    at Object.encapsulateExpansionHTML (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/src/lib/utils/PipelineUtils.js:477:28)
    at Object.tunnelDOMThroughTokens (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/src/lib/utils/PipelineUtils.js:586:24)
    at DOMFragmentBuilder.wrapDOMFragment (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/src/lib/wt2html/tt/DOMFragmentBuilder.js:105:30)
    at DOMPostProcessor.documentCB (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/src/lib/wt2html/tt/DOMFragmentBuilder.js:96:30)
    at emitOne (events.js:101:20)
    at DOMPostProcessor.emit (events.js:188:7)
    at DOMPostProcessor.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/src/lib/wt2html/DOMPostProcessor.js:723:7)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/node_modules/prfun/lib/index.js:812:43)
    at tryCatch1 (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/node_modules/babybird/lib/promise.js:40:12)
    at promiseReactionJob (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/node_modules/babybird/lib/promise.js:269:19)
    at PromiseReactionJobTask.call (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/node_modules/babybird/lib/promise.js:284:3)
    at flush (/srv/deployment/parsoid/deploy-cache/revs/a8d9f6e0b6a7e61684fffbdac897473b9acf2f82/node_modules/asap/raw.js:50:29)
    at _combinedTickCallback (internal/process/next_tick.js:73:7)
    at process._tickCallback (internal/process/next_tick.js:104:9)
Arlolra claimed this task.Jun 17 2019, 10:18 PM

Change 517562 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Fix crasher when encapsulating empty doc

https://gerrit.wikimedia.org/r/517562

Change 517562 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix crasher when encapsulating empty doc

https://gerrit.wikimedia.org/r/517562

Arlolra closed this task as Resolved.Jun 18 2019, 12:24 AM

Mentioned in SAL (#wikimedia-operations) [2019-06-20T18:02:51Z] <arlolra> Updated Parsoid to 4fa8d01 (T211251)